---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: auth-service
spec:
  rules:
    - host: login.vng.com
      http:
        paths:
          - pathType: Prefix
            path: /api
            backend:
              service:
                name: auth-service-api
                port:
                  number: 3003
          - pathType: ImplementationSpecific
            path: /
            backend:
              service:
                name: auth-service-front-end
                port:
                  number: 8080
